export async function onRequest(context: RequestContext) {
  const cookies = context.request.headers.get("cookie");

  if (!cookies) return await context.next();

  const cookieList = cookies.split("; ").map((cookie) => {
    const [name, value] = cookie.split("=");

    return { name, value };
  });

  const transferId = cookieList.find((cookie) => cookie.name === "__dtid");

  if (transferId) context.data.data_transfer_id = transferId;

  return await context.next();
}
